System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

A visual designer typically displays in the Properties window those members that either have no browsable attribute or are marked with the constructor's parameter set to true. These members can be modified at design time. Members marked with the constructor's parameter set to false are not appropriate for design-time editing and therefore are not displayed in a visual designer. The default is true.

When you mark a property with Browsable(true), the value of this attribute is set to the constant member . For a property marked with Browsable(false), the value is . Therefore, when you check the value of this attribute in your code, you must specify the attribute as or .

For more information, see Extending Metadata Using Attributes.

Specifies whether a property or event should be displayed in a Properties window.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  When you mark a property with the constructor of the value true, the value of this attribute is set to the constant member . For a property marked with the constructor of the value false, the value is . Therefore, when you want to check the value of this attribute in your code, you must specify the attribute as or .

  Initializes a new instance of the class.

  true if a property or event can be modified at design time; otherwise, false. The default is true.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether an object is browsable.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.BrowsableAttribute

  When you mark a property with this value, this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies the default value for the , which is . This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Indicates whether this instance and a specified object are equal.

  true if is equal to this instance; otherwise, false.

  Another object to compare to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Determines if this attribute is the default.

  true if the attribute is the default value for this attribute class; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.BrowsableAttribute

  When you mark a property with the constructor of the value false, this attribute is set to the constant member . Therefore, when you check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that a property or event cannot be modified at design time. This static field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.BrowsableAttribute

  This field is the default setting for this attribute.

  When you mark a property with the constructor of the value true, this attribute is set to the constant member . Therefore, when you check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that a property or event can be modified at design time. This static field is read-only.